#include "heuristics/PEA.h"

double PEA::get_crossover_proba(double progress) {
    return 0;
}
double PEA::get_sbm_proba(double progress) {
//    return 1-progress;
    if(progress>=0.5) {
        return -1./20;
    }
    return pow(1./20, progress*(20./(20.-1.)))/2.;
/*    int s = m_mutation_probas.size();
    unsigned int ind = floor(progress * s);
    double p1 = m_mutation_probas[ind];
    double p2 = (ind < s-1) ? m_mutation_probas[ind+1] : m_mutation_probas[ind];
    double mutation_proba = s*(p2-p1)*(progress-((double)ind)/s) + p1;
//    if(mutation_proba >= 0.2)
//        std::cout << "{" << progress << ", " << ind << ", " << p1 << "," << p2 << " -> " << mutation_proba << "}" << std::endl;
    return mutation_proba;*/
}
